## avahi 0.6.16-3maemo0

=== debian/changelog ===
avahi (0.6.16-3maemo0) unstable; urgency=low

  * Beginnings of Maemo porting project.

 -- Andrew J. Barr <andrew.james.barr@gmail.com>  Mon,  5 Feb 2007 20:18:39 -0500

avahi (0.6.16-2) unstable; urgency=low

  * debian/patches/02_avahi-daemon-init-unicast-disable.patch
    - Renamed to 03_avahi-daemon-init-unicast-disable.patch
  * debian/patches/02_avahi-init-warn.patch
    - Added. Output a warning if avahi-daemon or avahi-dnsconfd are disabled
      via /etc/default (Thanks Laurent Bigonville) (Closes: #405375)
  * debian/patches/03_avahi-daemon-init-unicast-disable.patch
    - Add a warning if avahi-daemon isn't started because of the presence of a
      unicast .local domain.
  * debian/avahi-daemon.ifupdown
    - Log to syslog if disabling avahi.
    - Don't run if resolvconf is installed
  * debian/avahi-daemon.resolvconf
    - Added. Hook script for resolvconf
  * debian/patches/04_function_return.patch
    - Added. Ensure a value is always returned from a non-void function (From
             upstream svn)
  * debian/patches/05_dns_sd_dont_bump_soname.patch
    - Added. Undo the bumping of the micro soname version to keep the soname
             fully in sync with apple's (From upstream svn)
  * debian/patches/06_dont_log_broken_packets.patch
    - Added. Don't log errors from recvmsg if there caused by broken ip
             packets. Fixes log flooding on machines with bad links (From
             upstream svn) (Closes: #386239)
  * debian/patches/07_ia64_unaligned_access.patch
    - Added. Some fixes for unaligned accesses as seen on ia64 (From upstream
             svn)
  * debian/patches/08_unicast_ipv6_only.patch
    - Added. Set the unicast ipv6 socket as ipv6 only, as the linux ipv4 in
             ipv6 misses some control info (From upstream svn)
  * debian/patches/09_fionread.patch
    - Added. It's valid for FIONREAD so handle this instead of throwing a
             warning and failing (From upstream svn)
  * debian/patches/10_widearea_socket_types.patch
    - Added. Only create a unicast ipv4 or ipv6 socket for widecast if
             respectively ipv4 or ipv6 is enabled. (From upstream svn)
  * debian/patches/12_bogus_static_host_error_message.patch
    - Added. Prevent logging of bogus error message when adding static .local
             hosts. (from upstream svn)
  * debian/patches/13_NULL_dns_service_refs.patch
    - Added. Let the bonjour compatibility layer handle NULL services
             references gracefully and don't use the service reference after
             unreffing it.  (From upstream svn)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun,  7 Jan 2007 15:32:56 +0100

avahi (0.6.16-1) unstable; urgency=low

  * New upstream release
  * Uses a SO_PASSCRED-based check of the sending UID on netlink messages
    (Closes: #399766)
  * Removed patches which were merged upstream:
    - debian/patches/09_initscripts-default.patch
    - debian/patches/10_initscripts-scriptname.patch
    - debian/patches/12_dbus1.0.patch
  * Add ifupdown up and post-down hooks to disable avahi if there is a .local
    unicast domain. Based on work from the Ubuntu package by Martin Pitt.
  * debian/patches/02_avahi-daemon-init-unicast-disable.patch
    - Added. Prevent avahi from starting when there is a unicast .local domain

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 28 Dec 2006 20:02:27 +0100

avahi (0.6.15-2) unstable; urgency=low

  * debian/patches/12_dbus1.0.patch:
    + Fix version detection of dbus with version above 1.0. Also don't ever
      call dbus_connection_close on shared connections as this is not allowed
      by the DBus API. Patch from upstream SVN (r1333)

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon, 13 Nov 2006 10:48:48 +0100

avahi (0.6.15-1) unstable; urgency=high

  * New upstream version, urgency=high because of potential security fix:
    + Check that netlink messages actually originate from the kernel and
      not another process
  * debian/patches/02_local-service.patch:
    + Dropped, merged upstream
  * debian/control:
    + Fix the avahi-autoipd description (Closes: #394330)

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon,  6 Nov 2006 17:15:15 +0100

avahi (0.6.14-2) unstable; urgency=low

  [ Sebastian Dröge ]
  * debian/control:
    + Update Standards-Version to 3.7.2
    + Recommend dhcp3-client instead of non-existing dhclient
      (Closes: #392076, #391924)
    + Change QT to Qt in all descriptions (Closes: #384783)
    + Change Maintainer to pkg-utopia team
    + Add XS-X-Vcs-Svn control field
  * debian/control,
    debian/rules:
    + Don't build avahi-autoipd on something else than Linux until it is
      ported (Closes: #391298). Thanks to Aurelien Jarno <aurel32@debian.org>
      for the patch.
  * debian/patches/10_initscripts-scriptname.patch:
    + Set SCRIPTNAME variable in init scripts (Closes: #386957)
  * debian/avahi-daemon.postinst:
    + Add the netdev group unless it's already there (Closes: #385495, #389243)
  * debian/avahi-autoipd.ifup,
    debian/avahi-autoipd.ifdown,
    debian/rules,
    debian/patches/11_avahi-autoipd.action-add-routes.patch:
    + Add ifupdown scripts to set routes to allow communication between
      machines which only have an IPv4LL address assigned and those which
      only have a routable address assigned.
      See http://developer.apple.com/qa/qa2004/qa1357.html for more information.

  [ Sjoerd Simons ]
  * debian/avahi-autoipd.ifup,
    debian/avahi-autoipd.ifdown,
    + Also recognise the NetworkManager method and address family(?!) as valid
    for ipv4ll routes
   
 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 20 Oct 2006 21:55:17 +0200

avahi (0.6.14-1) unstable; urgency=low

  [ Sebastian Dröge ]
  * New upstream release
  * debian/patches/02_static-hosts.patch:
    + Dropped, merged upstream
  * debian/patches/02_local-service.patch:
    + Fix detection whether a service is from the local machine. Patch from
      upstream SVN (r1329)
  * debian/control,
    debian/avahi-autoipd.postinst:

