=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include debian/clean-la.mk

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

# Ensure at build time that the library has no dependencies on undefined
# symbols, and speed up loading.
LDFLAGS += -Wl,-z,defs -Wl,-O1

DEB_CONFIGURE_EXTRA_FLAGS += --enable-compat-libdns_sd --enable-compat-howl \
                             --disable-mono --disable-monodoc --disable-qt3 \
			     --disable-qt4 --disable-gtk --disable-python \
			     --disable-doxygen-docs --disable-xmltoman \
			     --with-avahi-user=root --with-avahi-group=root \
			     --with-avahi-priv-access-group=users \
			     --with-avahi-autoipd-user=root \
			     --with-avahi-autoipd-group=root


ifneq (linux,$(DEB_HOST_ARCH_OS))
	DEB_CONFIGURE_EXTRA_FLAGS += --disable-autoipd
endif

DEB_INSTALL_DOCS_ALL += docs/README docs/NEWS

DEB_SHLIBDEPS_INCLUDE := debian/libavahi-common3/usr/lib \
                         debian/libavahi-core4/usr/lib \
                         debian/libavahi-client3/usr/lib

binary-fixup/avahi-daemon binary-fixup/avahi-dnsconfd::
	chmod +x debian/$(cdbs_curpkg)/etc/dbus-1/event.d/*

install/avahi-autoipd::
	install -D -o root -g root -m 755 debian/avahi-autoipd.ifup \
		debian/$(cdbs_curpkg)/etc/network/if-up.d/avahi-autoipd
	install -D -o root -g root -m 755 debian/avahi-autoipd.ifdown \
		debian/$(cdbs_curpkg)/etc/network/if-down.d/avahi-autoipd

install/avahi-daemon::
	install -D -o root -g root -m 755 debian/avahi-daemon.ifupdown \
		debian/$(cdbs_curpkg)/etc/network/if-up.d/avahi-daemon
	install -D -o root -g root -m 755 debian/avahi-daemon.resolvconf \
		debian/$(cdbs_curpkg)/etc/resolvconf/update-libc.d/avahi-daemon

common-install-impl::
	mv $(DEB_DESTDIR)/etc/dhcp3/dhclient-exit-hooks.d/avahi-autoipd \
		$(DEB_DESTDIR)/etc/dhcp3/dhclient-exit-hooks.d/zzz_avahi-autoipd
