## avahi 0.6.23-2maemo3

=== debian/changelog ===
avahi (0.6.23-2maemo3) unstable; urgency=low

  * Fix avahi-daemon preinst for busybox rmdir.
  * Create groups with groupadd before calling useradd.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 15 Aug 2008 00:22:19 +0200

avahi (0.6.23-2maemo1) unstable; urgency=low

  * Remove dependency on adduser.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 14 Aug 2008 23:01:34 +0200

avahi (0.6.23-2maemo0) unstable; urgency=low

  * Fix python and libcap dependencies for maemo build environment,
  * disable QT builds,
  * disable GDBM,
  * disable xmltoman.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Wed, 13 Aug 2008 12:47:48 +0200

avahi (0.6.23-2) unstable; urgency=low

  * debian/control
    - Add myself to Uploaders.
    - Build against libcap2 instead of libcap1 to avoid kernel warning about
      using legacy support of 32-bit capabilities. Add a Build-Depends on
      libcap2-dev (>= 2.10) to avoid possibly insecure use of v2 capabilities.
      Thanks to Ted Percival for the patch. (Closes: #464712)
    - Fix spelling of GTK+ in description.
    - Drop -1 revision from python-gdbm build dependency.
  * debian/libavahi-gobject0.symbols
    - Fix incorrect package name and #MINVER# stanza. (Closes: #488947)
  * debian/patches/02_avahi-ui.disable-translations.patch
    - Disable translatable strings in the avahi-ui desktop files. The build
      system doesn't process them correctly yet and we end up with broken
      desktop files otherwise.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Jul 2008 13:49:06 +0200

avahi (0.6.23-1) unstable; urgency=low

  [ Michael Biebl ]
  * debian/libavahi-qt3-1.symbols, debian/libavahi-qt4.so.1.symbols
    - Set the correct package names in the symbols files. (Closes: #486595)

  [ Sjoerd Simons ]
  * debian/libavahi-core5.symbols.kfreebsd-amd64,
    libavahi-core5.symbols.kfreebsd-i386:
    - Add symbol files for kfreebsd (Closes: #485690)
  *  debian/libavahi-gobject0.symbols
    - Add symbols file for libavahi-gobject
  * New upstream bugfix release
  * Remove patches that were merged upstream:
    - debian/patches/05_avahi_gobject_pkgconfig.patch
    - debian/patches/60_hurd-fixes.patch
    - debian/patches/70_gobject_libs_typo.patch
    - debian/patches/80_better_poof.patch
    - debian/patches/85_gobject_service_remove_key.patch
  * debian/patches/01_avahi-daemon.conf.patch:
    - Updated. The higher rlimit is now the upstream default
  * debian/libavahi-qt4-1.symbols:
    - Updated. Private symbols are no longer visible.
  * Bump the build-depend on intltool to >= 0.35.0

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 24 Jun 2008 16:41:23 +0200

avahi (0.6.22-5) unstable; urgency=low

  * debian/patches/85_gobject_service_remove_key.patch
    - Added. Fixes a crash when removing a service entry by key using
    avahi-gobject (From upstream svn)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 13 Jun 2008 12:53:43 +0100

avahi (0.6.22-4) unstable; urgency=low

  [ Michael Biebl ]
  * debian/control
    - Add Build-Depends on pkg-config.
  * debian/avahi-{daemon,dnsconfd}.postinst
    - Remove old start/stop symlinks, so they are properly updated on package
      upgrades.
  * debian/rules
    - Start avahi-daemon at priority 14, stop it at 86.
      Services like CUPS can utilize avahi if it is running, so avahi-daemon
      has to be started earlier in the boot sequence.
    - Start avahi-dnsconfd at priority 16, stop it at 84. avahi-dnsconfd
      requires avahi-daemon, so it has to start after it.

  [ Sjoerd Simons ]
  * debian/patches/01_avahi-daemon.conf.patch
    - Updated. Set the no file rlimit from 30 to 300, making it very unlikely
    that it ever gets hit. (Closes: #461181)
  * Add symbols files for all libraries
  * Update all shlibs files to match the symbols files (Closes: #463677)
  * debian/control, debian/avahi-ui-utils.install
    - Package bvnc and bssh (Closes: #477712)
  * debian/patches/05_avahi_gobject_pkgconfig.patch
    - Use Requires.private in avahi-gobject.pc (From upstream svn)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 01 Jun 2008 00:21:34 +0200

avahi (0.6.22-3) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/control: Add libavahi-glib-dev to the libavahi-gobject-dev depends
  * debian/control: Remove python-glade2 dependencies from python-avahi. It's
    not needed anymore (Closes: #464411)

  [ Michael Biebl ]
  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Add dependency on python-glade2 to avahi-discover.
    - Remove XB-Python-Version fields. They are not required with
      python-support.
    - Bump python-support build dependency to (>= 0.6) as suggested by the
      python-support documentation.
  * debian/avahi-daemon.init, debian/avahi-dnsconfd.init
    - Fix LSB init header. (Closes: #469990)
      Use $remote_fs instead of $local_fs as the daemon requires /usr to be
      mounted. Remove S from Should-Stop.
  * debian/watch
    - Add a watch file which allows to track new upstream releases.

  [ Sjoerd Simons ]
  * debian/patches/80_better_poof.patch:
    - Added. Improve the poof algorithm to prevent false positives when on a
      unreliable network.

  [ Loic Minier ]
  * Stop shipping bssh and bvnc; these are meant as examples, but would
    require a replace if libavahi-ui would change SONAME; also these show up
    in the menus while we have nicer alternatives now (e.g. vinagre); finally
    these require additional deps which wouldn't be fit for libavahi-ui (bvnc
    requires xvncviewer); see also Launchpad #194749; closes: #461693.
  * Add armel to architecture list; closes: #469854.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 05 Apr 2008 12:15:29 +0200

avahi (0.6.22-2) unstable; urgency=low

  * Fix typo in the control file (missing ,)
  * debian/avahi-discover.install: Install some forgotten files

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 07 Jan 2008 22:29:08 +0100

avahi (0.6.22-1) unstable; urgency=low

  [ Michael Biebl ]

