=== debian/control ===
Source: avahi
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Loic Minier <lool@dooz.org>,
           Michael Biebl <biebl@debian.org> 
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.43),
               pkg-config,
               maemo-python-env,
               python-support,
               libcap-dev (>= 1.10) [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !netbsd-i386],
               libgdbm-dev,
               libglib2.0-dev (>= 2.4),
               libgtk2.0-dev (>= 2.4),
               libglade2-dev (>= 2.4.0),
               libexpat-dev,
               libdaemon-dev (>= 0.11),
               libdbus-1-dev (>= 0.60),
               python2.5-dbus,
               python2.5-gtk2 (>= 2.8.6-2),
               intltool (>= 0.35.0)
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-utopia/packages/unstable/avahi
Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/avahi
Homepage: http://avahi.org/

Package: avahi-daemon
Section: net
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus (>= 0.60),
         lsb-base (>= 3.0-6),
         bind9-host | host
Recommends: libnss-mdns
Suggests: avahi-autoipd
Conflicts: mdnsresponder
Description: Avahi mDNS/DNS-SD daemon
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the Avahi Daemon which represents your machine
 on the network and allows other applications to publish and resolve
 mDNS/DNS-SD records.

Package: avahi-dnsconfd
Section: net
Architecture: any
Depends: avahi-daemon,
         ${shlibs:Depends},
         ${misc:Depends},
         lsb-base (>= 3.0-6)
Recommends: resolvconf
Description: Avahi DNS configuration tool
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This tool listens on the network for announced DNS servers and passes
 them to resolvconf so it can use them. This is very useful on autoconfigured
 IPv6 networks.

Package: avahi-autoipd
Section: net
Architecture: i386 ia64 alpha amd64 armeb armel arm hppa lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: dhcp3-client,
            iproute
Conflicts: zeroconf
Description: Avahi IPv4LL network address configuration daemon
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This tool implements IPv4LL, "Dynamic Configuration of IPv4 Link-Local
 Addresses" (IETF RFC3927), a protocol for automatic IP address
 configuration from the link-local 169.254.0.0/16 range without the
 need for a central server. It is primarily intended to be used in
 ad-hoc networks which lack a DHCP server.

Package: python-avahi
Section: python
Architecture: all
Depends: ${python:Depends},
         python-gdbm (>= 2.4.3-1),
         libavahi-common-data (>= 0.6.22),
         python-dbus
Provides: ${python:Provides}
Replaces: python2.4-avahi (<< 0.6.11),
          avahi-utils (<< 0.4)
Conflicts: python2.4-avahi (<< 0.6.11)
Description: Python utility package for Avahi
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains utility modules to talk to Avahi with Python easier.

Package: avahi-utils
Section: net
Architecture: any
Depends: avahi-daemon,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Avahi browsing, publishing and discovery utilities
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains several utilities that allow you to interact with
 the Avahi daemon, including publish, browsing and discovering services.

Package: avahi-discover
Section: net
Architecture: all
Depends: ${python:Depends},
         python-avahi,
         python-dbus,
         python-gtk2 (>= 2.8.6-2),
         python-glade2,
         avahi-daemon,
         ${misc:Depends}
Conflicts: avahi-utils (<< 0.6.1-2)
Description: Service discover user interface for avahi
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains a user interface for discovering services.

Package: libavahi-common3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libavahi-common-data
Description: Avahi common library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the Avahi common library, which is a set of common
 functions used by many of Avahis components and client applications.

Package: libavahi-common-data
Section: libs
Architecture: any
Conflicts: libavahi-common0
Description: Avahi common data files
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains common data files for avahi.

Package: libavahi-common-dev
Section: libdevel
Architecture: any
Depends: libavahi-common3 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the Avahi common library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the development headers for the Avahi common
 library, which is a set of common functions and definitions used by many
 of Avahis components and client applications.

Package: libavahi-core5
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libavahi-core3 (>= 0.6.8)
Description: Avahi's embeddable mDNS/DNS-SD library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the library for Avahi's embeddable mDNS/DNS-SD stack.
 This can be used by embedded applications to integrate mDNS/DNS-SD
 functionality into their applications.
 .
 You should not however use this library for non-embedded applications, you
 should use libavahi-client which interacts with the avahi daemon.

Package: libavahi-core-dev
Section: libdevel
Architecture: any
Depends: libavahi-core5 (= ${binary:Version}),
         ${misc:Depends},
         libavahi-common-dev
Replaces: libavahi-core1 (<< 0.4)
Description: Development files for Avahi's embeddable mDNS/DNS-SD library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the development files for Avahi's embeddable
 mDNS/DNS-SD stack.  This can be used by embedded application developers
 to integrate mDNS/DNS-SD functionality into their applications.
 .
 You should not however use this library for non-embedded applications, you
 shoudl use libavahi-client-dev which interacts with the avahi daemon.

Package: libavahi-client3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: avahi-daemon (<< 0.6)
Description: Avahi client library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the library for Avahi's C API which  allows you
 to integrate mDNS/DNS-SD functionality into your application.

Package: libavahi-client-dev
Section: libdevel
Architecture: any
Depends: libavahi-client3 (= ${binary:Version}),
         ${misc:Depends},
         libavahi-common-dev,
         libdbus-1-dev (>= 0.60)
Description: Development files for the Avahi client library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the development headers for Avahi's C API which
 allows you to integrate mDNS/DNS-SD functionality into your application.

Package: libavahi-glib1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Avahi glib integration library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This library contains the interface to integrate the Avahi libraries
 into a GLIB main loop application, including GTK+ applications.

Package: libavahi-glib-dev
Section: libdevel
Architecture: any
Depends: libavahi-glib1 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends},
         libavahi-common-dev
Description: Development headers for the Avahi glib integration library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
