## avahi 0.6.24-0maemo0

=== debian/changelog ===
avahi (0.6.24-0maemo0) unstable; urgency=low

  * Update to upstream version and build for maemo 5 

 -- Johannes Schmid <jschmid@openismus.com>  Tue, 24 Mar 2009 14:09:53 +0100
