=== debian/control ===
--- 
+++ 
@@ -9,8 +9,6 @@
 Build-Depends: debhelper (>= 5.0.37.2),
                cdbs (>= 0.4.43),
                pkg-config,
-               maemo-python-env,
-               python-support,
                libcap-dev (>= 1.10) [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !netbsd-i386],
                libgdbm-dev,
                libglib2.0-dev (>= 2.4),
@@ -19,8 +17,6 @@
                libexpat-dev,
                libdaemon-dev (>= 0.11),
                libdbus-1-dev (>= 0.60),
-               python2.5-dbus,
-               python2.5-gtk2 (>= 2.8.6-2),
                intltool (>= 0.35.0)
 Standards-Version: 3.7.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-utopia/packages/unstable/avahi
@@ -89,25 +85,25 @@
  need for a central server. It is primarily intended to be used in
  ad-hoc networks which lack a DHCP server.
 
-Package: python-avahi
-Section: python
-Architecture: all
-Depends: ${python:Depends},
-         python-gdbm (>= 2.4.3-1),
-         libavahi-common-data (>= 0.6.22),
-         python-dbus
-Provides: ${python:Provides}
-Replaces: python2.4-avahi (<< 0.6.11),
-          avahi-utils (<< 0.4)
-Conflicts: python2.4-avahi (<< 0.6.11)
-Description: Python utility package for Avahi
- Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
- It allows programs to publish and discover services and hosts
- running on a local network with no specific configuration.  For
- example you can plug into a network and instantly find printers to
- print to, files to look at and people to talk to.
- .
- This package contains utility modules to talk to Avahi with Python easier.
+#Package: python-avahi
+#Section: python
+#Architecture: all
+#Depends: ${python:Depends},
+#         python-gdbm (>= 2.4.3-1),
+#         libavahi-common-data (>= 0.6.22),
+#         python-dbus
+#Provides: ${python:Provides}
+#Replaces: python2.4-avahi (<< 0.6.11),
+#          avahi-utils (<< 0.4)
+#Conflicts: python2.4-avahi (<< 0.6.11)
+#Description: Python utility package for Avahi
+# Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
+# It allows programs to publish and discover services and hosts
+# running on a local network with no specific configuration.  For
+# example you can plug into a network and instantly find printers to
+# print to, files to look at and people to talk to.
+# .
+# This package contains utility modules to talk to Avahi with Python easier.
 
 Package: avahi-utils
 Section: net
@@ -125,26 +121,26 @@
  This package contains several utilities that allow you to interact with
  the Avahi daemon, including publish, browsing and discovering services.
 
-Package: avahi-discover
-Section: net
-Architecture: all
-Depends: ${python:Depends},
-         python-avahi,
-         python-dbus,
-         python-gtk2 (>= 2.8.6-2),
-         python-glade2,
-         avahi-daemon,
-         ${misc:Depends}
-Conflicts: avahi-utils (<< 0.6.1-2)
-Description: Service discover user interface for avahi
- Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
- It allows programs to publish and discover services and hosts
- running on a local network with no specific configuration.  For
- example you can plug into a network and instantly find printers to
- print to, files to look at and people to talk to.
- .
- This package contains a user interface for discovering services.
-
+#Package: avahi-discover
+#Section: net
+#Architecture: all
+#Depends: ${python:Depends},
+#         python-avahi,
+#         python-dbus,
+#         python-gtk2 (>= 2.8.6-2),
+#         python-glade2,
+#         avahi-daemon,
+#         ${misc:Depends}
+#Conflicts: avahi-utils (<< 0.6.1-2)
+#Description: Service discover user interface for avahi
+# Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
+# It allows programs to publish and discover services and hosts
+# running on a local network with no specific configuration.  For
+# example you can plug into a network and instantly find printers to
+# print to, files to look at and people to talk to.
+# .
+# This package contains a user interface for discovering services.
+#
 Package: libavahi-common3
 Section: libs
 Architecture: any
@@ -293,3 +289,5 @@
  example you can plug into a network and instantly find printers to
  print to, files to look at and people to talk to.
  .
+ This package contains the development headers for the interface
+ to integrate the Avahi libraries  into a GLIB main loop application,
