=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-compat-libdns_sd --enable-compat-howl \
                              --disable-mono --disable-monodoc --disable-xmltoman \
-                             --disable-qt3 --disable-qt4
+                             --disable-qt3 --disable-qt4 \
+			     --disable-python
 
 # Only enable the stack protector on certain archs
 ifeq (,$(filter $(DEB_HOST_ARCH), powerpc s390 sparc amd64 i386 lpia))
@@ -43,11 +44,11 @@
 	-rm -f avahi-python/avahi/ServiceTypeDatabase.py 
 
 binary-install/avahi-discover::
-	dh_pysupport -p$(cdbs_curpkg)
+#	dh_pysupport -p$(cdbs_curpkg)
 	rm -f debian/tmp/usr/lib/python*/site-packages/avahi/*.py[co]
 
 binary-install/python-avahi::
-	dh_pysupport -p$(cdbs_curpkg)
+#	dh_pysupport -p$(cdbs_curpkg)
 	rm -f debian/tmp/usr/lib/python*/site-packages/avahi/*.py[co]
 
 install/avahi-autoipd::
