## avahi 0.6.24-0maemo1

=== debian/changelog ===
avahi (0.6.24-0maemo1) unstable; urgency=low

  * Make avahi-daemon start up automatically on boot by adding the upstart
    config file /etc/event.d/avahi-daemon.

 -- Marius Gedminas <marius@gedmin.as>  Fri, 11 Dec 2009 19:09:26 +0100
