=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,8 @@
 		debian/$(cdbs_curpkg)/etc/network/if-down.d/avahi-autoipd
 
 install/avahi-daemon::
+	install -D -o root -g root -m 644 debian/avahi-daemon.upstart \
+		debian/$(cdbs_curpkg)/etc/event.d/avahi-daemon
 	install -D -o root -g root -m 755 debian/avahi-daemon.ifupdown \
 		debian/$(cdbs_curpkg)/etc/network/if-up.d/avahi-daemon
 	install -D -o root -g root -m 755 debian/avahi-daemon.resolvconf \
